Preview direct debitsAsk AIpost https://api.atlar.com/payments/v2beta/direct-debit-batches:previewPreview and validate the batch of direct debits.Query ParamstokenstringIf a query response contains a non-empty nextToken, use that value as token query parameter to continue pagination.limitinteger1 to 500Defaults to 100Limit the number of items in resulting query response.Body ParamstreatmentstringenumrequireddeprecatedDeprecated: You can approve or reject on batch and individual level regardless of the treatment type.INDIVIDUAL_PAYMENTSBATCHAllowed:INDIVIDUAL_PAYMENTSBATCHpaymentsarray of objectsrequiredlength between 1 and 2000payments* objectamountAmountIntegerValueInputAmountStringValueInputrequiredAmountIntegerValueInput objectschemestringenumrequiredDirect debit payment scheme. Choose among: SDD_CORE (SEPA Direct Debit Core) SDD_B2B (SEPA Direct Debit B2B) GB_DD_BACS (UK BACS Direct Debit) AUTOGIRO (Swedish Bg AutoGiro) CH_DD_LSV (Swiss Direct Debit LSV+) CH_DD_BDD (Swiss Direct Debit BDD) SDD_CORESDD_B2BGB_DD_BACSAUTOGIROCH_DD_LSVCH_DD_BDDAllowed:SDD_CORESDD_B2BGB_DD_BACSAUTOGIROCH_DD_LSVCH_DD_BDDschemeDetailsobjectschemeDetails objectdatedaterequiredRequested payment execution date. It is a local date from the source account's point-of-view. Cannot be set to before the current date, and not more than 60 days into the future.sourceEXTERNAL_ACCOUNTrequiredA reference identifying the source account to collect money from. Can only be an external account.ExternalAccountRef objectdestinationobjectrequiredA reference to an (internal) Account.destination objectreferencestringrequiredlength ≤ 140This reference will be sent to the destination bank and recipient. (This type of reference is sometimes also referred to as remittance information.)categoryPurposestringISO 20022 Category Purpose Code (ExternalCategoryPurpose1Code).chargeBearerstringenumCharge bearer specifies which party should bear the charges of the transaction.SHAREDSHAREDDEBTORCREDITORSERVICE_LEVELAllowed:SHAREDDEBTORCREDITORSERVICE_LEVELexternalIdstringExternal ID is optional to use, but if used, the Atlar platform will persist it, index it, as well as require it to be unique across all resources. It is possible to retrieve a resource using the external ID using the prefix external:.metadataobject | nullMetadata is a string-string key-value container that can be used to store information known at the time of resource creation. This can be retrieved later on, for instance when a payment or expected transaction is reconciled with the booked transaction on the bank statement. Metadata can have at most 20 entries. Keys may have a maximum length of 64 chars and values a maximum length of 512 chars. By default, this field is optional. It is possible to make it required in the Atlar Dashboard by visiting the Metadata keys page. Requirement rules can be specified per API resource. Both the Dashboard and the API will then enforce these rules and give validation errors when the required fields are not set.metadata object | nullpaymentScheduleIdstringlength between 32 and 64ID of the payment schedule to associate with this direct debit. Defaults to the organization's default schedule.ADD objectexternalIdstringExternal ID is optional to use, but if used, the Atlar platform will persist it, index it, as well as require it to be unique across all resources. It is possible to retrieve a resource using the external ID using the prefix external:.skipValidationErrorsbooleanSkip/ignore input records that contain validation errors.truefalsemetadataobject | nullMetadata is a string-string key-value container that can be used to store information known at the time of resource creation. This can be retrieved later on, for instance when a payment or expected transaction is reconciled with the booked transaction on the bank statement. Metadata can have at most 20 entries. Keys may have a maximum length of 64 chars and values a maximum length of 512 chars. By default, this field is optional. It is possible to make it required in the Atlar Dashboard by visiting the Metadata keys page. Requirement rules can be specified per API resource. Both the Dashboard and the API will then enforce these rules and give validation errors when the required fields are not set.metadata object | nullResponses 200The preview of the direct debit batch. 400Bad request.Updated 3 months ago